import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增类目
    addmallgoodscategorysave(data) {
        return request({
            url: '/mall/goods/category/save', 
            method: 'post',
            data
        })
    },
    //修改类目
    editmallgoodscategorysave(data) {
        return request({
            url: '/mall/goods/category/update',
            method: 'post',
            data
        })
    },
    //查询类目列表
    mallgoodscategorylist(data) {
        return request({
            url: '/mall/goods/category/list',
            method: 'get',
            params: data
        })
    },
    //类目树
    mallgoodscategorytree(data) {
        return request({
            url: '/mall/goods/category/tree',
            method: 'get',
            params: data
        })
    },
    //批量删除类目
    mallgoodscategorybatchdel(data) {
        return request({
            url: '/mall/goods/category/batch/del',
            method: 'post',
            data
        })
    },
}